package ru.crabs.sjson

import com.intellij.lang.Language
import com.intellij.openapi.fileTypes.LanguageFileType
import com.intellij.openapi.util.IconLoader
import javax.swing.Icon

class SJsonIcons {
    companion object {
        val FILE: Icon = IconLoader.getIcon("/icons/sjson-icon.svg", SJsonIcons::class.java)
    }
}

class SJsonLanguage() : Language("SJson") {
    companion object {
        val INSTANCE: SJsonLanguage = SJsonLanguage()
    }
}

class SJsonFileType : LanguageFileType(SJsonLanguage.INSTANCE) {

    override fun getName(): String {
        return "SJson"
    }

    override fun getDescription(): String {
        return "Super json"
    }

    override fun getDefaultExtension(): String {
        return "sjson"
    }

    override fun getIcon(): Icon {
        return SJsonIcons.FILE
    }

    companion object {
        val INSTANCE: SJsonFileType = SJsonFileType()
    }
}
